com.aliyun.svideosdk.common.struct.template

## Class AliyunTemplateParam

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.template.AliyunTemplateParam

- Direct Known Subclasses:
    AliyunTemplateImageParam, AliyunTemplateTextParam

      public class AliyunTemplateParam
      extends java.lang.Object

  v3.27.0 新增

  模板参数

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AliyunTemplateParam.Type` 模板参数类型

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunTemplateParam()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNodeKey()` 获取节点关联字段
    `java.lang.Object` | `getTarget()` 获取参数关联片段信息
    `float` | `getTimelineIn()` 获取素材片段相对于时间线的入点。单位：秒
    `float` | `getTimelineOut()` 获取素材片段相对于时间线的出点。单位：秒
    `AliyunTemplateParam.Type` | `getType()` 获取参数类型
    `boolean` | `isLock()` 是否锁定该参数
    `void` | `setLock(boolean lock)` 设置是否锁定该参数 Sets whether param is lock.
    `void` | `setNodeKey(java.lang.String nodeKey)` 设置节点关联字段
    `void` | `setTarget(java.lang.Object target)` 设置参数关联片段信息
    `void` | `setTimelineIn(float timelineIn)` 设置素材片段相对于时间线的入点。单位：秒
    `void` | `setTimelineOut(float timelineOut)` 设置素材片段相对于时间线的出点。单位：秒
    `void` | `setType(AliyunTemplateParam.Type type)` 设置参数类型

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AliyunTemplateParam

          public AliyunTemplateParam()

  - ### Method Detail

    - #### getType

          public AliyunTemplateParam.Type getType()

      获取参数类型
      Returns:
        参数类型

    - #### setType

          public void setType(AliyunTemplateParam.Type type)

      设置参数类型
      Parameters:
        `type` -

    - #### getNodeKey

          public java.lang.String getNodeKey()

      获取节点关联字段
      Returns:
        节点关联字段

    - #### setNodeKey

          public void setNodeKey(java.lang.String nodeKey)

      设置节点关联字段
      Parameters:
        `nodeKey` - 节点关联字段

    - #### isLock

          public boolean isLock()

      是否锁定该参数
      Returns:
        是否锁定

    - #### setLock

          public void setLock(boolean lock)

      设置是否锁定该参数 Sets whether param is lock.
      Parameters:
        `lock` - is lock

    - #### getTarget

          public java.lang.Object getTarget()

      获取参数关联片段信息
      Returns:
        关联片段信息

    - #### setTarget

          public void setTarget(java.lang.Object target)

      设置参数关联片段信息
      Parameters:
        `target` - 关联片段信息

    - #### getTimelineIn

          public float getTimelineIn()

      获取素材片段相对于时间线的入点。单位：秒
      Returns:
        切入点

    - #### setTimelineIn

          public void setTimelineIn(float timelineIn)

      设置素材片段相对于时间线的入点。单位：秒
      Parameters:
        `timelineIn` - 切入点

    - #### getTimelineOut

          public float getTimelineOut()

      获取素材片段相对于时间线的出点。单位：秒
      Returns:
        切出点

    - #### setTimelineOut

          public void setTimelineOut(float timelineOut)

      设置素材片段相对于时间线的出点。单位：秒
      Parameters:
        `timelineOut` - 切出点